GCLOUD_SQL_INSTANCES_IMPORT(1)

NAME

gcloud sql instances import - imports data into a Cloud SQL instance from Google Cloud Storage

SYNOPSIS

gcloud sql instances import INSTANCE URI [URI ...] [--async] [--database DATABASE, -d DATABASE] [GLOBAL-FLAG ...]

DESCRIPTION
Imports data into a Cloud SQL instance from Google Cloud Storage.

POSITIONAL ARGUMENTS
INSTANCE
    Cloud SQL instance ID.
URI [URI ...]
    Path to the MySQL dump file in Google Cloud Storage from which the import is made. The URI is in the form gs://bucketName/fileName. Compressed gzip files (.gz) are also supported.

FLAGS
--async
    Display information about the operation in progress and don't wait for the operation to complete.
--database DATABASE, -d DATABASE
    The database (for example, guestbook) to which the import is made. If not set, it is assumed that the database is specified in the file to be imported.

GLOBAL FLAGS
Run $ gcloud help for a description of flags available to all commands.